
const {getRandomComplot, getRandomWelcome} = require('../database/RandomSentence.js');
const channelsID = require('../channels_conf.json');


class InformeMoi{
    constructor(client){
        this.client = client;
        this.channels = this.client.channels.cache;
    }

    sayWelcome(userID){
        let message = getRandomWelcome().replace('<new_user>', `<@${userID}>`);
        this.client.channels.cache.get(channelsID.welcome).send(message);
    }

    parse(message){
        if(this.shouldRespond(message)){
            message.reply(getRandomComplot());
        }
    }

    shouldRespond(message){    
        return message.content.toLowerCase().includes("informe moi");
    }
}

module.exports = InformeMoi;